petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStrArrayallocpy

Allocates space to hold a copy of an array of strings then copies the strings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrArrayallocpy(const char *const *list,char ***t)

Not Collective Many br

### Input Parameters

s -pointer to array of strings (final string is a null) Many br

### Output Parameter

t -the copied array string Many br

Many br

### Note

Not for use in Fortran Many br

### See Also

PetscStrallocpy() PetscStrArrayDestroy()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html